package ink.wgink.exceptions;

import ink.wgink.exceptions.base.SystemException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DependencyException
 * @Description: 依赖异常
 * @Author: wanggeng
 * @Date: 2021/5/1 11:11 下午
 * @Version: 1.0
 */
public class DependencyException extends SystemException {

    public DependencyException() {
    }

    public DependencyException(String message) {
        super(message);
    }

    public DependencyException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public DependencyException(String message, Throwable cause) {
        super(message, cause);
    }

    public DependencyException(Throwable cause) {
        super(cause);
    }
}
